PT ARITA - Feature #1710

[Performance Management] - Performance Appraisal (Qualification) - Ketentuan untuk membaca
Appraisal Catalog dan Job Catalog

10/18/2022 04:17 PM - Fiona Avangeline Jonathan

Status: Closed Start date: 10/18/2022
Priority: Urgent Due date: 10/30/2022
Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.00 hours

Description
Dear Mba Yomma,

Mohon dibantu buatkan kondisi dan validasi untuk membaca Qualification Profile di Appraisal Catalog dan Job Catalog, dengan
ketentuan :

1. Terlebih dahulu membaca Job Object Detail (PHROMO0018) di Job Catalog. Jika memiliki AppraisallD, maka yang muncul di form
bagian Perilaku Kerja adalah data Qualification Profile yang ObjectClass nya "AP", di table PHROMO0008.

WIN-GPEH5TRPCM...- dbo.PHROMOD18 LIRS Rl L T g T T W e WIM-G6PEHSTRP CMH.. SDATATABLEFIELD -

StartDate EndDate ObjectlD ObjectClass Sequence Qualification CQualType Proficiency Mandatory Weight Motes
» 20220101 99991231 00000007 AP 1 0D00DDES 0002 4 NULL 50,00

20220101 99991231 00DDODOT AP 1 00000070 0002 5 NULL 50,00
. NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL

2. Jika AppraisallD di Job Object Detail (PHROMO0018) kosong, maka membaca Qualification Profile yang ObjectClass nya "J" di
PHROMO0008.

WIN-6PEH5TRPCM...- dbo.PHROMODOT WIN-6PEHSTRPCM...- dbo.PHROMOD18 LINE g Y LU e B LT A e [ el WIN-6PEHSTRPCMH.. SDATATABLEFIELD -

StartDate EndDate ObjectlD ObjectClass Sequence CQualification CQualType Proficiency Mandatory Weight Motes
20211215 99991231 00ODOOOE J 1 0D000DE3 0003 5 NULL 40,00
20211215 99991231 0Q00DD00G J 1 00000070 0004 4 NULL 60,00
20220101 99991231 00ODOOOT AP 1 0D000DE3 0002 4 NULL 50,00
20220101 99991231 000DDOOT7 AP 1 00000070 0002 5 NULL 50,00
20220101 99991231 0OO0DOOT J 1 00000063 0002 5 MNULL 0,00
3 20220101 99991231 00000007 J 1 00000091 0002 5 MNULL 40,00

3. Jika memiliki keduanya baik Appraisal ID atau Qualification Profile maka membaca seperti poin 1.

Port : http://remote.minovais.com:31131/
DB : MinovaES_Arita_Dev
Server : remote.minovais.com,1442

Terima kasih.
History

#1 - 10/18/2022 04:17 PM - Fiona Avangeline Jonathan
- File clipboard-202210181614-ndbhh.png added

#2 - 10/18/2022 04:17 PM - Fiona Avangeline Jonathan
- Due date changed from 09/30/2022 to 10/30/2022
- Status changed from New to Assigned

- Start date changed from 09/28/2022 to 10/18/2022
#3 - 10/18/2022 04:34 PM - Fiona Avangeline Jonathan
- Copied to Feature #1711: [Performance Management] - Performance Appraisal (KPI) - Ketentuan untuk membaca Appraisal Catalog dan Job

Catalog added

#4 - 10/18/2022 04:35 PM - Fiona Avangeline Jonathan
http://remote.minovais.com:31131/

- File clipboard-202210181635-t7kqz.png added

- Subject changed from [Performance Management] - Performance Appraisal - Ketentuan untuk membaca Appraisal Catalog dan Job Catalog to
[Performance Management] - Performance Appraisal (Qualification)- Ketentuan untuk membaca Appraisal Catalog dan Job Catalog

- Description updated

#5 - 10/18/2022 04:36 PM - Fiona Avangeline Jonathan

- Description updated

#6 - 10/19/2022 10:01 AM - Fiona Avangeline Jonathan

- Subject changed from [Performance Management] - Performance Appraisal (Qualification)- Ketentuan untuk membaca Appraisal Catalog dan Job
Catalog to [Performance Management] - Performance Appraisal (Qualification) - Ketentuan untuk membaca Appraisal Catalog dan Job Catalog

#7 - 01/06/2023 10:31 AM - Fiona Avangeline Jonathan
- File clipboard-202301061031-ppdo1.png added

Mba Yom,
Mohon dibantu untuk Qualification sudah sesuai ketentuan namun target proficiency belum autofill sesuai qualification yang terisi.
01/01/2022 31/12/9999 00000090 Appraisal 4 50.00
Terima kasih.

#8 - 02/02/2023 03:25 PM - Tri Rizqgiaty

- File clipboard-202302021525-cmbun.png added

- File PMSGETDEFAULTQUALIFICATION_20230202.sq! added
- File controllerperformance.js added

- Status changed from Assigned to Developing

Fixing :

1. Update folder UNapp\controller\performance : controllerperformance.js (file terlampir)
var grid49 = Ext.ComponentQuery.gquery(' [nams
Appraisallype : Rppraisallype
}, functien (s) {

4210001

var result = Ext.decode (s.responselext); conscle.log(result):
var dt = Ext.decode (Ext.decode (result.data)): console.logidt):

var pnl = Ext.ComponentQuery.query(
var seq = Ext.Componentluery.query(

pnl.store.setRootNode ({
children : dt
setTimeout{ () =»{
2. Execute SP : PMSGETDEFAULTQUALIFICATION_20230202.sq]
3. Update table PCMWFCUSTPARAM - PMSGETDEFAULTQUALIFICATION- Value : 'EXECUTE PMSGETDEFAULTQUALIFICATION

@EmployeelD, @StartDate, @EndDate, @AppraisalType'

#9 - 02/02/2023 03:25 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

#10 - 02/02/2023 03:27 PM - Tri Rizqiaty

- Assignee changed from Tri Rizqgiaty to Fiona Avangeline Jonathan

#11 - 02/02/2023 03:51 PM - Fiona Avangeline Jonathan

- Status changed from QA Test to Closed
